File: changelog

package info (click to toggle)
ruby-sdl 2.2.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 1,544 kB
  • ctags: 1,359
  • sloc: cpp: 7,598; ansic: 4,498; ruby: 2,246; makefile: 106; sh: 102
file content (212 lines) | stat: -rw-r--r-- 6,865 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
ruby-sdl (2.2.0-1) unstable; urgency=medium

  [ Caitlin Matos ]
  * updated homepage, watchfile

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Youhei SASAKI ]
  * Imported Upstream version 2.2.0
  * Drop -dbg package
  * Update document creation rules
  * Exclude duplicate gzip file from examples
  * Refresh patch
  * Add nkf, rdtool in B-D for document creation

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 10 Apr 2016 02:44:57 +0900

ruby-sdl (2.1.3-1) unstable; urgency=medium

  * Imported Upstream version 2.1.3
  * debian/copyright: Update copyright format 1.0

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 08 Feb 2014 23:00:17 +0900

ruby-sdl (2.1.2-4) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields

  [ Christian Hofstaedtler ]
  * Remove transitional packages
  * Bump Standards-Version to 3.9.5 (no changes)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 01 Jan 2014 17:25:32 +0100

ruby-sdl (2.1.2-3) unstable; urgency=low

  * Create transitional package for libsdl-ruby (Closes: #672177) 
  * Remove old package name for ruby-opengl from Suggests:
  * Override lintian warnings about duplicate description for transitional
    packages
  * Add debian/patches/fix_shebang_sample.patch to fix shebangs in examples
  * Register HTML documentation with doc-base

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Fri, 18 May 2012 08:40:35 +0200

ruby-sdl (2.1.2-2) unstable; urgency=low

  * Adding myself to Uploaders:
  * Adjust version in Replaces: and Breaks: field to match the latest version
    of libsdl-ruby source package.

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Mon, 23 Apr 2012 23:15:20 +0200

ruby-sdl (2.1.2-1) unstable; urgency=low

  * Imported Upstream version 2.1.2
  * Bump Standard Version: 3.9.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 16 Apr 2012 20:18:31 +0900

ruby-sdl (2.1.1.1-2) unstable; urgency=low

  * Switch to gem2deb-based packaging. 
     - Source and binary package renamed to ruby-sdl. 
     - Transitional packages added.
  * Change source format: 3.0(quilt)
  * Add myself as uploader
  * Add DM-Upload-Allowed: yes

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 16 Jan 2012 15:44:15 +0900

libsdl-ruby (2.1.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Bumped the standards version to 3.8.4; no changes required.
  * Added myself as uploader
  * debian/libsdl-ruby.doc
    - Removed rubysdl_const_list.txt
  * Added debian/source
 
  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

  [ Paul van Tilburg ]
  * Tweaked the RD documentation generating rules (title, charsets).
  * New upstream release; moved to the 2.x branch (closes: #510050)!
  * debian/watch: updated, the source moved to RubyForge.
  * debian/control:
    - Added a package for Ruby 1.9 now that it is supported.
    - Added build-depend on ruby1.9.1 and ruby1.9.1-dev.
    - Fixed package description of libruby-sdl, it talked about Mahoro for
      some reason. 
    - Removed the build-depend on rdtool.
    - Added ${misc:Depends} to the depends of libsdl-ruby{,1.8,1.9.1}.
  * debian/rules: removed rules to generate docs, this is done by
    upstream now. 

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Sun, 02 May 2010 08:53:12 +0000
 
libsdl-ruby (1.3.1-1) unstable; urgency=low

  * New upstream release (closes: #457035).
  * debian/control: 
    - moved the team to the Uploaders field, set myself as
      maintainer (closes: #472434).
    - added rdtool to the build depends.
    - updated section, libaries belong in libs.
  * debian/rules, debian/libsdl-ruby.docs:
    reworked the generation and installation of documentation:
    regenerate a English and Japanase HTML file from the appropriate RD
    files (rubysdl_doc.en.rd resp. rubysdl_ref.rd).
  * Moved the examples from libsdl-ruby1.8 to libsdl-ruby too.
  * debian/copyright: added copyright notice; small reformats.
  * Removed superfluous debian/dirs file.

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 02 Apr 2008 20:52:24 +0200

libsdl-ruby (1.1.0-3) unstable; urgency=low

  [ Barry deFreese ]
  * Move to CDBS (Closes: #454960).
  * Bump debhelper build-dep to 5 and add compat file
  * Move url from package description to Homepage field in control
  * Bump Standards Version to 3.7.3

  [ Lucas Nussbaum ]
  * Fixed Vcs-*.
  * Fixed Homepage to point to the ruby/SDL website.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 19 Dec 2007 10:19:34 +0100

libsdl-ruby (1.1.0-2) unstable; urgency=low

  * New maintainer.
  * Added Vcs-*.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 08 Dec 2007 13:41:48 +0100

libsdl-ruby (1.1.0-1) unstable; urgency=low

  [ Daigo Moriwaki ]

  * new upstream version.  (Closes: #364108)
  * debian/control: added a suggestion to libopengl-ruby.  (Closes: #217730)
  * removed xlibs-pic from build-depends.  (Closes: #366720)

 -- akira yamada <akira@debian.org>  Tue, 23 May 2006 17:53:22 +0900

libsdl-ruby (0.9.3-1) unstable; urgency=low

  * new upstream version.

 -- akira yamada <akira@debian.org>  Thu, 12 Aug 2004 16:27:34 +0900

libsdl-ruby (0.9.1-1) unstable; urgency=low

  * new upstream version.

 -- akira yamada <akira@debian.org>  Fri, 23 Jan 2004 00:25:26 +0900

libsdl-ruby (0.9-1) unstable; urgency=low

  * new upstream version.
  - added collision detection function by Wayne Conrad.  (closes: #173342.)
  * build with ruby1.8.  (closes: #212266)
  - renamed to libsdl-ruby1.8 from libsdl-ruby.

 -- akira yamada <akira@debian.org>  Mon, 13 Oct 2003 14:50:28 +0900

libsdl-ruby (0.8.3-1) unstable; urgency=low

  * some typos of method name are fixed at version 0.8.3, closes: #174444.

 -- akira yamada <akira@debian.org>  Sat, 12 Apr 2003 14:57:43 +0900

libsdl-ruby (0.8.1-1) unstable; urgency=low

  * new upstream release.
  * enabled SGE support, closes: #161834.
  * added libsdl-sge-dev to Build-Depends.

 -- akira yamada <akira@debian.org>  Sun, 22 Sep 2002 11:56:03 +0900

libsdl-ruby (0.7-2) unstable; urgency=low

  * extconf.rb: applied --plugin-libs to sdl-config instead of --libs, 
    closes: #134029. Thanks to LaMont Jones <lamont@smallone.fc.hp.com> 
    and James Troup <james@nocrew.org>.

 -- akira yamada <akira@debian.org>  Sun, 17 Feb 2002 18:24:05 +0900

libsdl-ruby (0.7-1) unstable; urgency=low

  * new upstream version. closes: #117264.

 -- akira yamada <akira@debian.org>  Wed, 31 Oct 2001 18:27:36 +0900

libsdl-ruby (0.6-1) unstable; urgency=low

  * Initial Release.

 -- akira yamada <akira@debian.org>  Sat, 27 Oct 2001 13:30:17 +0900